## Options

The exact behaviour of dspdfviewer is configurable using command-line parameters.

Unless otherwise noted, all command-line options can be written in a configuration file. See the Files section for the location.

For the command-line parameters, this program follows the usual GNU command line syntax, with long options starting with two dashes (’-’). A summary of options is included below.

If you specify those in a configuration file, write one option per line, use the long version without the two leading dashes, followed by an equals sign and the desired value.

For example, bottom-pane-height=20 is a valid configuration line.

If an option is specified in both the configuration file and the command-line, the command-line value takes precedence.

Note for options of type <bool>: They take true, false, 0 or 1 as arguments. For example, --use-second-screen false can be expressed as --use-second-screen 0 or shortened to -u0.

-h, --help | Show summary of options.
-f, --full-page | Use the presentation program with a normal single-screen PDF, that is display the full page on both the primary and secondary monitor. The secondary screen still contains timers and thumbnails to help you with your presentation, unless you disable them using the options below.
-u, --use-second-screen <bool> | Controls whether the program actually works as a dual-screen viewer. The default is true. If you only have one screen, but still want to use the cache features, you can set this option to false. If the window ends up on the wrong display, you can still use the switch command (see below). What comes out on the primary screen depends on whether you use the -f Option: -u0 -f results in a simple full-screen PDF viewer, while -u0 without -f still splits the page in half and outputs only the left frame.
-l, --hyperlink-support <bool> | Controls whether the program makes PDF Hyperlinks clickable. The default is true. While it is normally desired to have clickable hyperlinks, if you cannot control the position of your pointer (if your remote control has only left-click and right-click) it might be safer to disable hyperlinks.
--prerender-previous-pages n | When jumping to slide m, also pre-render the slides (m-n)..(m-1) (default 3) Note: If you set this to zero, you will not get a thumbnail for the previous page rendered before you have visited it.
--prerender-next-pages n | When jumping to slide m, also pre-render the slides (m+1)..(m+n) (default 10) Note: If you set this to zero, you will not get a thumbnail for the next page rendered before you have visited it.
-a, --presenter-area <bool> | Show (true, 1) or hide (false, 0) the presenter’s area on the second screen. If this is set to zero, the following options will have no effect.
-d, --duplicate <bool> | Duplicate (true, 1) or hide (false, 0) the audience’s screen next to the notes on the second screen. The default is false.
-t, --thumbnails <bool> | Show (true, 1) or hide (false, 0) the thumbnails on the second screen.
-w, --wall-clock <bool> | Show (true, 1) or hide (false, 0) the wall clock on the second screen.
-p, --presentation-clock <bool> | Show (true, 1) or hide (false, 0) the presentation clock on the second screen.
-s, --slide-clock <bool> | Show (true, 1) or hide (false, 0) the slide clock on the second screen.
-b, --bottom-pane-height n | Configure how large the presenter area on the second screen will be, unit is percent of second screen’s total height. Default value 20.